.\" Personal
.TH SENDMSG 1
.UC L

.SH NAME
sendmsg - send a message via Internet

.SH SYNOPSIS
.B sendmsg
[
.B \-46vfrmM
]
[
.B \-s 'message'
]
.I recipient

.SH DESCRIPTION
.B sendmsg
sends a one line text message to the terminal(s) of the specified recipient.
.PP
On the receiving site there must be a SAFT-server
(Simple Asynchronous File Transfer) installed, like the
.B sendfiled
and the recipients terminal must be writeable.

The
.BI recipient
address can be specified as:
.TP 4
.B user
a local user or a sendfile alias (see below), e.g.: framstag
.TP
.B user@host
an user on a remote host, e.g.: framstag@bofh.belwue.de
.TP
.B saft://host/user
like above, but in URL-syntax, e.g.: saft://bofh.belwue.de/framstag
.TP
.B saft://host:port/user
like above, but with alternate SAFT-port, e.g.: saft://bofh.belwue.de:4870/framstag

.SH OPTIONS
.TP 8
.B -4, -6
Explicitly force  IPv4 or IPv6 connections.  By default, the program will try to resolve the name given, and
choose the appropriate protocol automatically. If resolving a host name returns both IPv4  and  IPv6  addresses,
sendmsg will try to use the adresses in the order they are returned by the resolver.
.TP
.B -v
Verbose mode: show SAFT protocol messages
.TP
.B -f
Force sending of messages and ignore tty (re)settings.
.TP
.B -r
Reply to last received message.
.TP
.B -m
Receive messages only on this tty. This is the default.
.TP
.B -M
Allow receiving messages on other ttys.
.TP
.B -s 'message'
Send directly
.B message

.SH EXAMPLES
.B sendmsg neg@linux.rus.uni-stuttgart.de
.br
message:
.I how about lunch?

.SH FILES
.TP 6
.I /usr/local/etc/sendfile.deny
Users which are not allowed to receive files or messages (set by root).
.TP 
.I /var/spool/sendfile/$LOGNAME/config/restrictions
List of addresses from where you don't want messages or files. The format
is: 

.ES
   user@host [mfb]
.EE

m stands for messages, f for files and b for both. Wildcards * and ? are
allowed. Examples:

.ES
   gates@microsoft.com b
   *aol.com m
.EE

.TP 
.I /var/spool/sendfile/$LOGNAME/config/aliases
The sendfile alias file. Format: 

.ES
   alias address
.EE

Example:

.ES
   chief grmblfz@bigvax.somewhere.net
.EE

.SH SEE ALSO
.BR sendfile (1).

.SH AUTHOR
Ulli Horlacher  -  framstag@rus.uni-stuttgart.de
